"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Conversation_1 = __importDefault(require("./Conversation"));
class DMArchive {
    constructor(me_id) {
        this.me_id = me_id;
        this.index = {};
    }
    add(convs) {
        for (const conv of convs) {
            if (conv.dmConversation.messages.length) {
                const tmp = new Conversation_1.default(conv, this.me_id);
                this.index[tmp.id] = tmp;
            }
        }
    }
    get(id) {
        return this.index[id];
    }
    get all() {
        return Object.values(this.index);
    }
}
exports.DMArchive = DMArchive;
exports.default = DMArchive;
